%define	major	0

%{expand:%%define perl_version %(rpm -q perl|sed 's/perl-\([0-9].*\)-.*$/\1/')}

Summary: GNOME DB
Name: 		gnome-db
Version:	0.2.10
Release: 3mdk
Copyright: 	GPL
Group: 		Databases
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1:    gnome-db_48.xpm.bz2
Source2:    gnome-db_32.xpm.bz2
Source3:    gnome-db_16.xpm.bz2
# (fc) 0.2.3-1mdk add missing files from tarball
Patch0:     gnome-db-0.2.3-desktop.patch.bz2
# (fc) 0.2.10-1mdk fix gnome-print detection
Patch1:		gnome-db-0.2.10-gnomeprint.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: libgda0-devel >= 0.2.10 libgal-devel bonobo-devel 
BuildRequires: libglade-devel
Requires: perl-base = %{perl_version}
URL: 		http://www.gnome.org/projects/gnome-db/

%description
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.

This package contains the core components of GNOME-DB.

%package -n lib%{name}%{major}
Summary: GNOME DB libraries
Group: 		System/Libraries

%description -n lib%{name}%{major}
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.


%package -n lib%{name}%{major}-devel
Summary: GNOME DB Development
Group: 		Development/Databases
Requires:	lib%{name}%{major} = %{version}
Requires:	libgda0-devel >= 0.2.10
Requires:	libbonobo2-devel
Requires:	gnome-libs-devel
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Obsoletes:	%{name}-devel

%description -n lib%{name}%{major}-devel
Gnome DB is a frontend to the GDA architecture, being developed as part
of the GNOME project. It adds, to the already powerful GDA architecture,
a nice GUI front end for users, as well as a whole set of software
components intended to be reused in other unrelated applications.

This package contains libraries, header files and tools to let
you develop GNOME-DB applications.

%prep
%setup -q
%patch -p1 -b .missing
%patch1 -p1 -b .gnomeprint

# needed by patch 1
aclocal -I macros
autoconf

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT DOC_DIR=$RPM_BUILD_ROOT%{_datadir}/gnome/html gnome_db_helpdir=$RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-db/C install

mkdir -p $RPM_BUILD_ROOT%{_menudir} $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_miconsdir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/gnomedb-fe" icon="gnome-db.xpm" \
 needs="X11" section="Applications/Databases" title="GNOME-DB frontend" \
 longtitle="Gnome-DB frontend application"
EOF

bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_liconsdir}/gnome-db.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/gnome-db.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/gnome-db.xpm

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -n lib%{name}%{major} -p /sbin/ldconfig
							  
%postun -n lib%{name}%{major} -p /sbin/ldconfig
							  
%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README 
%doc %{_datadir}/gnome/help/gnome-db
%{_bindir}/gnomedb-components
%{_bindir}/gnomedb-fe
%{_bindir}/gnomedb-mgr

%{_datadir}/gnome/apps/Applications/gnomedb-fe.desktop
%{_datadir}/pixmaps/*
%{_datadir}/oaf/GNOME_DB_Export.oaf
%{_datadir}/oaf/GNOME_DB_Manager.oaf
%{_datadir}/oaf/GNOME_DB_Monikers.oaf
%{_datadir}/oaf/GNOME_DB_Designer.oaf
%{_datadir}/oaf/GNOME_DB_Connection.oaf
%{_datadir}/oaf/GNOME_DB_ComponentFactory.oaf
%{_datadir}/oaf/GNOME_DB_Log.oaf

%{_menudir}/*
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_miconsdir}/*.xpm

%files -n lib%{name}%{major}
%defattr(-, root, root)
%{_libdir}/libgnomedb.so.*
%{_libdir}/bonobo/monikers/*.so*

%files -n lib%{name}%{major}-devel
%defattr(-, root, root)

%{_bindir}/gnomedb-config
%{_bindir}/gnomedb-builder
%{_libdir}/lib*.so
%{_libdir}/libgnomedb.*a
%{_libdir}/bonobo/monikers/*a
%{_includedir}/gnome-db
%{_datadir}/idl/*
%{_datadir}/gnome/html/*
%{_datadir}/oaf/GNOME_DB_Builder.oaf

%changelog
* Sat Aug  4 2001 Pixel <pixel@mandrakesoft.com> 0.2.10-3mdk
- add require the perl-base used for building (the libperl.so auto-require is not enough)

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.10-2mdk
- fix menu entry
- Recompiled to really remove dependency on gtkhtml

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.10-1mdk
- Release 0.2.10
- Update BuildRequires
- Patch1 : fix gnome-print detection

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-2mdk
- Recompiled against latest gtkhtml

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-1mdk
- Release 0.2.3
- Create menu entry
- Recompiled against latest gal
- Add missing files from tarball
- add locales

* Tue Feb 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-1mdk
- First mandrake package
- Libification
- Patch 0 to compile with latest bonobo

* Fri Aug 11 2000 Rodrigo Moya <rodrigo@linuxave.net>
- Initial spec imported from old GNOME-DB spec
